import { mockConnect } from "./frontend/connect/mock/mock-connect.js";
import { applyMockHacks } from "./frontend/mocks/apply-mock-hacks.js";
import { assembleAndInitializeFrontend } from "./frontend/assemble-and-initialize-frontend.js";
export async function assembleXiomeMock(mockConfig) {
    const connection = await mockConnect(mockConfig);
    connection.setMockLatency({ min: 200, max: 800 });
    const frontend = await assembleAndInitializeFrontend(connection);
    applyMockHacks({
        frontend,
        connection: connection,
    });
    return { ...connection, ...frontend };
}
//# sourceMappingURL=assemble-mocks.js.map