import { prepareBackend } from "./prepare-backend.js";
class ConfigNotSupportedInBrowserError extends Error {
    constructor(message) {
        super(message);
    }
}
function nope(message) {
    return function () {
        throw new ConfigNotSupportedInBrowserError(message);
    };
}
export const backendForBrowser = (storage) => prepareBackend({
    configureStripe: nope("config.stripe not supported in browser"),
    configureMongo: nope("config.database.mongo not supported in browser"),
    configureMailgun: nope("config.email.mailgun not supported in browser"),
    configureTokenFunctions: nope("config.crypto.keys must be 'mock-mode' in browser"),
    configureMockStorage: () => storage,
    configureDacast: nope("config.dacast must be in 'mock-mode' in browser"),
});
//# sourceMappingURL=backend-for-browser.js.map