import mongodb from "mongodb";
import { mongo } from "dbmage/x/drivers/mongo.js";
import { makeTableNameWithHyphens } from "../../../common/make-table-name-with-hyphens.js";
export async function configureMongo({ config, databaseShape, }) {
    const client = await new mongodb.MongoClient(config.database.mongo.link).connect();
    return mongo({
        client,
        shape: databaseShape,
        dbName: config.database.mongo.db,
        makeTableName: makeTableNameWithHyphens,
    });
}
//# sourceMappingURL=configure-mongo.js.map