import * as dbmage from "dbmage";
import { objectMap } from "../../../toolbox/object-map.js";
import { databaseShapeUnisolated } from "./database-shapes.js";
import { UnconstrainedTable } from "../../../framework/api/unconstrained-table.js";
export function applyDatabaseWrapping(database) {
    return dbmage.subsection(database, tables => {
        const wrappedTables = UnconstrainedTable.wrapTables(tables);
        const nakedTables = objectMap(databaseShapeUnisolated, (v, key) => database.tables[key]);
        return {
            ...wrappedTables,
            ...nakedTables,
        };
    });
}
//# sourceMappingURL=apply-database-wrapping.js.map