import { parseQuery } from "../../../toolbox/parse-query.js";
export async function loginWithLinkTokenOrUseExistingLogin({ link, accessModel, onDone, onError, }) {
    const { hash } = new URL(link);
    const { login } = parseQuery(hash);
    if (login) {
        try {
            await accessModel.login(login);
        }
        catch (error) {
            onError(error);
        }
        onDone();
    }
    else
        try {
            await accessModel.useExistingLogin();
        }
        catch (error) {
            console.error("error with xiome login:", error);
        }
}
//# sourceMappingURL=login-with-link-token-or-use-existing-login.js.map