import * as renraku from "renraku";
import { prepareApiShape } from "../../auth/prepare-api-shape.js";
export function makeRemote({ appId, apiLink, storage, }) {
    const { metaMap, installAuthMediator } = prepareApiShape({
        appId,
        storage,
    });
    const remote = renraku.browserClient({
        metaMap,
        url: apiLink,
    });
    const authMediator = installAuthMediator({
        greenService: remote.auth.users.greenService,
    });
    return { remote, authMediator };
}
//# sourceMappingURL=make-remote.js.map