export async function prepareMockActions({ appOrigin, connection: { appId, backend: { emails, mockBrowser } }, }) {
    return {
        async asMockPerson(email, action) {
            const browser = await mockBrowser({ appOrigin });
            const tab = await browser.mockAppWindow({ appId });
            const { accessModel } = tab.models;
            const { loginService } = tab.remote.auth.users;
            emails.disableEmails();
            await loginService.sendLoginLink({ email });
            const { loginToken } = emails.recallLatestLoginEmail();
            await accessModel.login(loginToken);
            await action(tab);
            await accessModel.logout();
            emails.enableEmails();
        },
    };
}
//# sourceMappingURL=prepare-mock-actions.js.map