import { AppDisplay } from "../../../types/app-display.js";
import { Service } from "../../../../../../../types/service.js";
import { makeAppEditService } from "../../../services/app-edit-service.js";
export declare function makeAdminManager({ app, appEditService, query }: {
    app: AppDisplay;
    appEditService: Service<typeof makeAppEditService>;
    query: <E extends HTMLElement>(selector: string) => E;
}): {
    render: () => import("lit-html").TemplateResult<1>;
    controls: {
        listAdmins: () => Promise<void>;
        assignAdmin: () => Promise<void>;
        revokeAdmin: (userId: string) => Promise<void>;
    };
    subscribe: (subscription: import("@chasemoskal/snapstate").Subscription<{
        admins: import("../../../../../../../framework/ops.js").Op<import("../../../types/admin-email-display.js").AdminEmailDisplay[]>;
        assignerDraft: import("./aspects/types/assigner-draft.js").AssignerDraft;
    }>) => () => void;
};
