import { ops } from "../../../../../../../../framework/ops.js";
export function adminManagerControls({ app, state, actions, appEditService, }) {
    const { appId } = app;
    const load = (firstStep = Promise.resolve(undefined)) => (ops.operation({
        promise: firstStep
            .then(() => appEditService.listAdmins({ appId })),
        setOp: admins => actions.setAdmins(admins)
    }));
    async function listAdmins() {
        await load();
    }
    async function assignAdmin() {
        const { email } = state.assignerDraft;
        actions.setAssignerDraft({ email: undefined });
        await load(appEditService.assignAdmin({ appId, email }));
    }
    async function revokeAdmin(userId) {
        await load(appEditService.revokeAdmin({ appId, userId }));
    }
    return { listAdmins, assignAdmin, revokeAdmin };
}
//# sourceMappingURL=admin-manager-controls.js.map