import { snapstate } from "@chasemoskal/snapstate";
import { ops } from "../../../../../../../../framework/ops.js";
export function adminManagerStateAndActions() {
    const state = snapstate({
        admins: ops.none(),
        assignerDraft: {
            email: undefined,
        },
    });
    const actions = {
        setAdmins(op) {
            state.writable.admins = op;
        },
        setAssignerDraft(draft) {
            state.writable.assignerDraft = draft;
        },
    };
    return {
        subscribe: state.subscribe,
        state: state.readable,
        actions,
    };
}
//# sourceMappingURL=admin-manager-state-and-actions.js.map