import * as dbmage from "dbmage";
import { originsToDatabase } from "../../../../utils/origins-to-database.js";
export async function addApp({ rando, appsDatabase, appDraft, ownerUserId: ownerUserIdString, }) {
    const ownerUserId = dbmage.Id.fromString(ownerUserIdString);
    const appId = rando.randomId();
    await Promise.all([
        appsDatabase.tables.registrations.create({
            appId,
            label: appDraft.label,
            home: appDraft.home,
            origins: originsToDatabase(appDraft.origins),
            archived: false,
        }),
        appsDatabase.tables.owners.create({
            appId,
            userId: ownerUserId,
        }),
    ]);
    return {
        ...appDraft,
        appId: appId.toString(),
        stats: {
            users: 1,
            usersActiveDaily: 0,
            usersActiveMonthly: 0,
        },
    };
}
//# sourceMappingURL=app-actions.js.map