import * as renraku from "renraku";
export function makePrivilegeChecker(permit, privileges) {
    function s(k) {
        return typeof k === "string"
            ? k
            : String(k);
    }
    function hasPrivilege(key) {
        return permit.privileges.includes(privileges[key]);
    }
    function requirePrivilege(key) {
        if (!hasPrivilege(key))
            throw new renraku.ApiError(403, `forbidden; privilege required "${s(key)}"`);
    }
    function requireNotHavePrivilege(key) {
        if (hasPrivilege(key))
            throw new renraku.ApiError(403, `forbidden: must not have privilege "${s(key)}"`);
    }
    return {
        hasPrivilege,
        requirePrivilege,
        requireNotHavePrivilege,
    };
}
//# sourceMappingURL=make-privilege-checker.js.map