import { Op } from "../../../../../framework/ops.js";
import { AccessPayload } from "../../../types/auth-tokens.js";
import { AccessModelOptions } from "./types/access-model-options.js";
export declare function makeAccessModel({ authMediator, loginService }: AccessModelOptions): {
    subscribe: (...listeners: ((accessOp: Op<AccessPayload>) => void | Promise<void>)[]) => () => void;
    getAccessOp(): Op<AccessPayload>;
    getAccess(): AccessPayload;
    getValidAccess(): Promise<AccessPayload>;
    useExistingLogin(): Promise<void>;
    sendLoginLink(email: string): Promise<void>;
    login(loginToken: string): Promise<void>;
    logout(): Promise<void>;
    reauthorize(): Promise<void>;
};
