import { fetchUser } from "../user/fetch-user.js";
import { concurrent } from "../../../../../../toolbox/concurrent.js";
export async function signAuthTokens({ scope, appId, userId, origins, lifespans, authTables, permissionsEngine, signToken, }) {
    const { user, permit } = await concurrent({
        user: fetchUser({ userId, authTables, permissionsEngine }),
        permit: (async () => ({
            privileges: await permissionsEngine.getUserPrivileges(userId.toString()),
        }))(),
    });
    return concurrent({
        accessToken: signToken({
            payload: { appId, origins, user, permit, scope },
            lifespan: lifespans.access,
        }),
        refreshToken: signToken({
            payload: { userId: user.userId },
            lifespan: lifespans.refresh,
        }),
    });
}
//# sourceMappingURL=sign-auth-tokens.js.map