import * as renraku from "renraku";
import { Id } from "dbmage";
import { fetchUser } from "../routines/user/fetch-user.js";
import { makePermissionsEngine } from "../../../../../assembly/backend/permissions/permissions-engine.js";
export const makeUserService = (options) => renraku.service()
    .policy(options.authPolicies.anonPolicy)
    .expose(({ database, access }) => ({
    async getUser({ userId }) {
        const permissionsEngine = makePermissionsEngine({
            permissionsTables: database.tables.auth.permissions,
            isPlatform: access.appId === options.config.platform.appDetails.appId,
        });
        return await fetchUser({
            authTables: database.tables.auth,
            permissionsEngine,
            userId: Id.fromString(userId),
        });
    },
}));
//# sourceMappingURL=user-service.js.map