import * as renraku from "renraku";
import { VerifyToken } from "redcrypto/x/types.js";
import { DatabaseRaw } from "../../../assembly/backend/types/database.js";
import { SecretConfig } from "../../../assembly/backend/types/secret-config.js";
import { AnonMeta, AppOwnerAuth, AppOwnerMeta, GreenAuth, LoginAuth, PlatformUserAuth, PlatformUserMeta, UserAuth, UserMeta } from "../types/auth-metas.js";
export declare function prepareAuthPolicies({ config, databaseRaw, verifyToken, }: {
    config: SecretConfig;
    databaseRaw: DatabaseRaw;
    verifyToken: VerifyToken;
}): {
    greenPolicy: renraku.Policy<undefined, GreenAuth>;
    anonPolicy: renraku.Policy<AnonMeta, LoginAuth>;
    userPolicy: renraku.Policy<UserMeta, UserAuth>;
    platformUserPolicy: renraku.Policy<PlatformUserMeta, PlatformUserAuth>;
    appOwnerPolicy: renraku.Policy<AppOwnerMeta, AppOwnerAuth>;
};
