import * as renraku from "renraku";
import { makeChatState } from "../../models/state/chat-state.js";
import { ChatPost, ChatStatus } from "../../common/types/chat-concepts.js";
export declare const makeChatClientside: ({ state, onChange }: {
    state: ReturnType<typeof makeChatState>;
    onChange: () => void;
}) => {
    chatClient: renraku.Service<unknown, void, {
        roomStatusChanged(room: string, status: ChatStatus): Promise<void>;
        postsAdded(room: string, posts: ChatPost[]): Promise<void>;
        postsRemoved(room: string, postIds: string[]): Promise<void>;
        roomCleared(room: string): Promise<void>;
        usersMuted(userIds: string[]): Promise<void>;
        usersUnmuted(userIds: string[]): Promise<void>;
        unmuteAll(): Promise<void>;
    }>;
};
