import * as renraku from "renraku";
export function chatMockClient(serverCore) {
    return async function chatConnect({ clientsideApi, handleDisconnect }) {
        const clientside = renraku.mock()
            .forApi(clientsideApi)
            .withMetaMap({ chatClient: async () => { } });
        const { api, disconnect } = serverCore.acceptNewClient({
            headers: {},
            controls: {
                ping() { },
                close() { },
            },
            clientside,
            handleDisconnect: () => { },
        });
        return {
            serverside: renraku.mock()
                .forApi(api)
                .withMetaMap({ chatServer: async () => { } }),
            disconnect() {
                disconnect();
                handleDisconnect();
            },
        };
    };
}
//# sourceMappingURL=chat-mock-client.js.map