import { html } from "../../../../../framework/component.js";
import { validateChatContent } from "../../../common/chat-validators.js";
export function renderChatAuthorship({ sendable, onSendClick, onEnterPress, onValidityChange, }) {
    function handleContentChange(event) {
        const value = event.detail.value;
        onValidityChange(value !== undefined);
    }
    return html `
		<div class=authorship>

			<xio-text-input
				textarea
				.validator=${validateChatContent}
				@valuechange=${handleContentChange}
				@enterpress=${onEnterPress}>
			</xio-text-input>

			<xio-button
				?disabled=${!sendable}
				@press=${onSendClick}>
					send message
			</xio-button>
		</div>
	`;
}
//# sourceMappingURL=render-chat-authorship.js.map