export function makeStatsFetcher({ state, intervalDuration }) {
    let intervalId = undefined;
    function clearStatsInterval() {
        clearInterval(intervalId);
        intervalId = undefined;
    }
    return {
        startInterval(connection) {
            clearStatsInterval();
            intervalId = setInterval(async () => {
                const stats = await connection.serverside.chatServer.getStats();
                state.writable.cache.roomStats = stats;
            }, intervalDuration);
        },
        stopInterval: clearStatsInterval,
    };
}
//# sourceMappingURL=make-stats-fetcher.js.map