import * as renraku from "renraku";
import * as dbmage from "dbmage";
export const makeExampleService = ({ rando, authPolicies, }) => renraku.service()
    .policy(async (meta, headers) => {
    const auth = await authPolicies.userPolicy(meta, headers);
    return {
        ...auth,
        database: dbmage.subsection(auth.database, tables => tables.example),
    };
})
    .expose(({ database }) => ({
    async exampleFunction({ something }) {
        await database.tables.examplePosts.create({
            exampleId: rando.randomId(),
            something,
        });
    },
}));
//# sourceMappingURL=example-service.js.map