import * as dbmage from "dbmage";
export function makeNotesDepositBox({ rando, database }) {
    async function sendNotes(drafts) {
        const notes = drafts.map(draft => {
            const noteId = rando.randomId();
            return {
                noteBase: {
                    ...draft,
                    noteId,
                    to: dbmage.Id.fromString(draft.to),
                    from: draft.from === undefined
                        ? undefined
                        : dbmage.Id.fromString(draft.from),
                    old: false,
                    time: Date.now(),
                },
                noteDetails: draft.details,
            };
        });
        await database.tables.notes.notes.create(...notes.map(n => n.noteBase));
        return notes.map(({ noteBase: { noteId } }) => ({
            noteId: noteId.toString()
        }));
    }
    async function sendNote(draft) {
        const [sent] = await sendNotes([draft]);
        return sent;
    }
    return {
        sendNotes,
        sendNote,
    };
}
//# sourceMappingURL=notes-deposit-box.js.map