import * as renraku from "renraku";
import * as dbmage from "dbmage";
import { UserAuth, UserMeta } from "../../../auth/types/auth-metas.js";
import { SecretConfig } from "../../../../assembly/backend/types/secret-config.js";
import { NotesMeta } from "../types/notes-auth.js";
import { Notes, NotesStats, Pagination } from "../../types/notes-concepts.js";
export declare const makeNotesService: ({ config, basePolicy, }: {
    config: SecretConfig;
    basePolicy: renraku.Policy<UserMeta, UserAuth>;
}) => renraku.Service<NotesMeta, {
    notesDatabase: dbmage.Database<{
        notes: import("../../types/notes-concepts.js").Database.NoteBase;
        questionDetails: import("../../types/notes-concepts.js").Database.NoteDetails.Question;
    }>;
    access: import("../../../auth/types/auth-tokens.js").AccessPayload;
    database: import("../../../../assembly/backend/types/database.js").DatabaseSafe;
    checker: import("../../../auth/aspects/permissions/types/privilege-checker.js").PrivilegeChecker<{
        universal: string;
        banned: string;
        "moderate all chats": string;
        "control stripe account": string;
        "manage store": string;
        "give away freebies": string;
        "view all videos": string;
        "moderate videos": string;
        "edit any profile": string;
        "customize permissions": string;
        "answer questions": string;
        "moderate questions": string;
        "view stats": string;
        "administrate user roles": string;
        "view all chats": string;
        "participate in all chats": string;
        "read questions": string;
        "post questions": string;
        "like questions": string;
        "report questions": string;
    }>;
}, {
    getNotesStats(): Promise<NotesStats>;
    getNewNotes(pagination: Pagination): Promise<Notes.Any[]>;
    getOldNotes(pagination: Pagination): Promise<Notes.Any[]>;
    markAllNotesOld(): Promise<void>;
    markNotesNewOrOld(input: {
        old: boolean;
        noteIds: string[];
    }): Promise<void>;
}>;
