import { assert } from "cynic";
import { ops } from "../../../../framework/ops.js";
export function prepareNoteStatsAssertions({ notesModel }) {
    return {
        assertNoteCounts({ newCount, oldCount }) {
            const { statsOp } = notesModel.state;
            assert(ops.isReady(statsOp));
            const stats = ops.value(statsOp);
            assert(stats.newCount === newCount, `new count should be at ${newCount}`);
            assert(stats.oldCount === oldCount, `old count should be at ${oldCount}`);
        },
    };
}
//# sourceMappingURL=note-stats-assertions.js.map