import * as dbmage from "dbmage";
export function anonQuestionsPolicy({ authPolicies, }) {
    return async (meta, headers) => {
        const auth = await authPolicies.anonPolicy(meta, headers);
        return {
            ...auth,
            database: dbmage.subsection(auth.database, tables => ({
                auth: tables.auth,
                questions: tables.questions
            })),
        };
    };
}
export function authenticatedQuestionsPolicy({ authPolicies, }) {
    return async (meta, headers) => {
        const auth = await authPolicies.userPolicy(meta, headers);
        return {
            ...auth,
            database: dbmage.subsection(auth.database, tables => ({
                auth: tables.auth,
                questions: tables.questions
            })),
        };
    };
}
//# sourceMappingURL=questions-policies.js.map