import * as renraku from "renraku";
import { find } from "dbmage";
import { authenticatedQuestionsPolicy } from "./policies/questions-policies.js";
export const makeQuestionsModerationService = (options) => renraku.service()
    .policy(async (meta, headers) => {
    const auth = await authenticatedQuestionsPolicy(options)(meta, headers);
    auth.checker.requirePrivilege("moderate questions");
    auth.checker.requireNotHavePrivilege("banned");
    return auth;
})
    .expose(({ database }) => ({
    async archiveBoard({ board }) {
        await database.tables.questions.questionPosts.update({
            ...find({ board }),
            write: { archive: true },
        });
    },
    async fetchReportedQuestions() { },
}));
//# sourceMappingURL=questions-moderation-service.js.map