import { snapstate } from "@chasemoskal/snapstate";
export function makeEditorState() {
    const state = snapstate({
        editMode: false,
        draftText: "",
        isPostable: false,
    });
    return {
        ...state,
        actions: {
            toggleEditMode() {
                state.writable.editMode = !state.writable.editMode;
            },
            handleValueChange(event) {
                state.writable.draftText = event.detail.value;
                state.writable.isPostable = !!state.writable.draftText;
            },
        },
    };
}
//# sourceMappingURL=editor-state.js.map