import { makeEditorState } from "../../helpers/editor-state.js";
import { strongRecordKeeper } from "../../../../../../toolbox/record-keeper.js";
export function makeAnswerEditorGetter({ requestUpdate, getBoardModel, getTextInput, }) {
    const getRecord = strongRecordKeeper()(questionId => {
        const state = makeEditorState();
        state.subscribe(requestUpdate);
        const resetEditor = () => {
            const input = getTextInput(questionId);
            input.text = "";
        };
        return {
            state: state.readable,
            actions: state.actions,
            subscribe: state.subscribe,
            submitAnswer: async () => {
                const { draftText } = state.readable;
                resetEditor();
                state.actions.toggleEditMode();
                await getBoardModel().postAnswer(questionId, { content: draftText });
            },
        };
    });
    return (questionId) => getRecord(questionId);
}
//# sourceMappingURL=answer-editor.js.map