import { makeEditorState } from "../../helpers/editor-state.js";
export function makeQuestionEditor({ requestUpdate, getTextInput, getBoardModel, }) {
    const state = makeEditorState();
    state.subscribe(requestUpdate);
    const resetEditor = () => {
        const input = getTextInput();
        input.text = "";
    };
    return {
        state: state.readable,
        actions: state.actions,
        subscribe: state.subscribe,
        getTextInput,
        submitQuestion: async () => {
            const { draftText } = state.readable;
            resetEditor();
            await getBoardModel().postQuestion({
                content: draftText,
            });
        },
    };
}
//# sourceMappingURL=question-editor.js.map