import { html } from "../../../../../../../framework/component.js";
import { formatDate } from "../../../../../../../toolbox/goodtimes/format-date.js";
import { validatePostContent } from "../../../../../api/services/validation/validate-question-draft.js";
export function renderBubble({ content, editable, timePosted, handleValueChange = () => { }, }) {
    const { date, time } = formatDate(timePosted);
    return html `
		<div class=bubble ?data-editable=${editable}>
			<div class=textbox>
				${editable
        ? html `
						<xio-text-input
							exportparts="textinput: bubble"
							textarea
							.validator=${validatePostContent}
							@valuechange=${handleValueChange}
						></xio-text-input>
					`
        : html `
						<p part=bubble>${content}</p>
					`}
			</div>
			<div class=metabar>
				<p>${`${date} ${time}`}</p>
			</div>
		</div>
	`;
}
//# sourceMappingURL=render-bubble.js.map