import * as dbmage from "dbmage";
export function getConnectedStoreDatabase({ tables, transaction, }, connectId) {
    const constraint = { connectId };
    return {
        tables: constrainStoreTables(tables, constraint),
        transaction: (async (action) => transaction(async ({ tables: t2, ...more }) => action({
            tables: constrainStoreTables(t2, constraint),
            ...more
        }))),
    };
}
function constrainStoreTables(tables, constraint) {
    const { connect, ...tablesThatShouldBeConstrained } = tables;
    return {
        connect,
        ...dbmage.constrainTables({
            constraint,
            tables: tablesThatShouldBeConstrained,
        }),
    };
}
//# sourceMappingURL=get-connected-store-database.js.map