import { fetchRoleIdsRelatedToSubscribedStripePriceIds } from "./utils/fetch-role-ids-related-to-subscribed-stripe-price-ids.js";
export async function fulfillSubscriptionRoles({ userId, priceIds, storeDatabase, stripeLiaisonAccount, roleManager, timerange, }) {
    const { subscribedRoleIds, unsubscribedRoleIds, } = await fetchRoleIdsRelatedToSubscribedStripePriceIds({
        storeDatabase,
        stripeLiaisonAccount,
        stripePriceIds: priceIds,
    });
    await roleManager.revokeUserRoles({
        userId,
        roleIds: unsubscribedRoleIds,
    });
    await roleManager.grantUserRoles({
        ...timerange,
        userId,
        roleIds: subscribedRoleIds,
    });
}
//# sourceMappingURL=fulfillment.js.map