import * as dbmage from "dbmage";
import { getStripeId } from "../../utils/get-stripe-id.js";
export async function getTiersForStripePrices({ priceIds, storeDatabase, stripeLiaisonAccount, }) {
    if (priceIds.length === 0)
        throw new Error("prices not found in subscription from stripe");
    const prices = await Promise.all(priceIds.map(async (priceId) => (stripeLiaisonAccount
        .prices
        .retrieve(priceId))));
    const productIds = prices.map(p => getStripeId(p.product));
    return storeDatabase
        .tables
        .subscriptions
        .tiers
        .read(dbmage.findAll(productIds, id => ({ stripeProductId: id })));
}
//# sourceMappingURL=get-tiers-for-stripe-prices.js.map