import { objectMap } from "@chasemoskal/snapstate";
export function stripeAttempt(obj) {
    return objectMap(obj, stripeFunc => (async (...args) => returnUndefinedOn404(async () => stripeFunc(...args))));
}
async function returnUndefinedOn404(stripeCall) {
    try {
        return await stripeCall();
    }
    catch (error) {
        const is404 = (error instanceof Error &&
            error.statusCode === 404);
        if (is404)
            return undefined;
        else
            throw error;
    }
}
//# sourceMappingURL=stripe-attempt.js.map