import { Stripe } from "stripe";
import { MockStripeTables } from "../tables/types.js";
export declare function mockSubscriptionMechanics({ tables, generateId, }: {
    tables: MockStripeTables;
    generateId: () => string;
}): {
    interpretUpdateItemsParam: (updateItems: Stripe.SubscriptionUpdateParams["items"]) => Promise<Stripe.Subscription["items"]>;
    interpretCreateParams: (createSubscription: Stripe.SubscriptionCreateParams) => Promise<Stripe.Subscription>;
    generateInvoiceForSubscriptionItems: ({ subscriptionId, items, default_payment_method, customer, current_period_end, current_period_start }: {
        subscriptionId: string;
        items: Stripe.Subscription["items"];
        default_payment_method: string;
        customer: string;
        current_period_start: number;
        current_period_end: number;
    }) => Promise<{
        invoice: Stripe.Invoice;
        paymentIntent: Stripe.PaymentIntent;
    }>;
};
