import { stripeWebhooks } from "./webhooks/stripe-webhooks.js";
import { mockStripeLiaison } from "./liaison/mock/mock-stripe-liaison.js";
import { mockStripeTables } from "./liaison/mock/tables/mock-stripe-tables.js";
import { makeMetaDataTables } from "./liaison/mock/tables/make-meta-data-tables.js";
import { prepareMockStripeOperations } from "./utils/prepare-mock-stripe-operations.js";
import { prepareWebhookDispatcherWithAntiCircularity } from "./utils/prepare-webhook-dispatcher-with-anti-circularity.js";
export async function mockStripeCircuit({ logger, webRoot, rando, tableStorage, storeDatabaseRaw, prepareRoleManager, }) {
    const stripeTables = await mockStripeTables({ tableStorage });
    const metaDataTables = await makeMetaDataTables({ tableStorage });
    const recentDetails = {};
    const pointer = { webhooks: undefined };
    const dispatchWebhook = prepareWebhookDispatcherWithAntiCircularity(pointer);
    const stripeLiaison = mockStripeLiaison({
        rando,
        rootUrl: webRoot,
        recentDetails,
        metaDataTables,
        tables: stripeTables,
        dispatchWebhook,
    });
    pointer.webhooks = stripeWebhooks({
        logger,
        stripeLiaison,
        storeDatabaseRaw,
        prepareRoleManager,
    });
    const mockStripeOperations = prepareMockStripeOperations({
        rando,
        stripeTables,
        metaDataTables,
        stripeLiaison,
        recentDetails,
        dispatchWebhook,
    });
    return {
        stripe: undefined,
        stripeLiaison,
        stripeWebhooks: pointer.webhooks,
        mockStripeOperations,
    };
}
//# sourceMappingURL=mock-stripe-circuit.js.map