import Stripe from "stripe";
import { stripeWebhooks } from "./webhooks/stripe-webhooks.js";
import { makeStripeLiaison } from "./liaison/stripe-liaison.js";
export function realStripeCircuit({ logger, storeDatabaseRaw, stripeConfig, prepareRoleManager, }) {
    const stripe = new Stripe(stripeConfig.keys.secret, { apiVersion: "2022-11-15" });
    const stripeLiaison = makeStripeLiaison({ stripe });
    return {
        stripe,
        stripeLiaison,
        stripeWebhooks: stripeWebhooks({
            logger,
            stripeLiaison,
            storeDatabaseRaw,
            prepareRoleManager,
        }),
        mockStripeOperations: undefined,
    };
}
//# sourceMappingURL=real-stripe-circuit.js.map