export function prepareWebhookDispatcherWithAntiCircularity(pointer) {
    let webhookCircularity;
    return (async function dispatchWebhook(type, stripeAccountId, object) {
        if (webhookCircularity)
            throw new Error(`webhook circularity error "${webhookCircularity}" -> "${type}"`);
        webhookCircularity = type;
        const result = await pointer.webhooks[type]({
            type,
            account: stripeAccountId,
            data: { object },
        });
        webhookCircularity = undefined;
        return result;
    });
}
//# sourceMappingURL=prepare-webhook-dispatcher-with-anti-circularity.js.map