import { Stripe } from "stripe";
import * as dbmage from "dbmage";
import { StripeLiaison } from "../liaison/types.js";
import { StoreDatabaseRaw } from "../../database/types/schema.js";
import { Logger } from "../../../../../toolbox/logger/interfaces.js";
import { RoleManager } from "../../../../auth/aspects/permissions/interactions/types.js";
export declare function stripeWebhooks(options: {
    logger: Logger;
    stripeLiaison: StripeLiaison;
    storeDatabaseRaw: StoreDatabaseRaw;
    prepareRoleManager: (appId: dbmage.Id) => RoleManager;
}): {
    "account.updated": (event: Stripe.Event) => Promise<any>;
    "customer.subscription.updated": (event: Stripe.Event) => Promise<any>;
    "invoice.paid": (event: Stripe.Event) => Promise<any>;
};
