import { compileTiers } from "./subscription-object-compilation/compile-tiers.js";
import { sortPlansByAscendingTime } from "./subscription-object-compilation/sort-plans-by-ascending-time.js";
import { sortTiersByAscendingPrice } from "./subscription-object-compilation/sort-tiers-by-ascending-price.js";
export async function compileDataTogetherIntoSubscriptionPlansForFrontend({ planRows, tierRows, stripePrices, stripeProducts, }) {
    return planRows
        .map(planRow => {
        var _a;
        return ({
            archived: (_a = planRow.archived) !== null && _a !== void 0 ? _a : false,
            label: planRow.label,
            planId: planRow.planId.string,
            time: planRow.time,
            tiers: compileTiers(tierRows, planRow, stripeProducts, stripePrices).sort(sortTiersByAscendingPrice)
        });
    }).sort(sortPlansByAscendingTime);
}
//# sourceMappingURL=compile-data-together-into-subscription-plans-for-frontend.js.map