import * as dbmage from "dbmage";
import { StoreApiOptions } from "../types/options.js";
import { StripeLiaison } from "../stripe/liaison/types.js";
import { AccessPayload } from "../../../auth/types/auth-tokens.js";
import { StripeConnectDetails } from "../../isomorphic/concepts.js";
import { StoreDatabaseUnconnected } from "../database/types/schema.js";
export declare function isUserOwnerOfStripeAccount(access: AccessPayload, connectDetails: StripeConnectDetails): boolean;
export declare function createConnectPopup({ type, options, stripeLiaison, stripeAccountId, }: {
    type: "account_onboarding" | "account_update";
    stripeAccountId: string;
    options: StoreApiOptions;
    stripeLiaison: StripeLiaison;
}): Promise<{
    popupId: string;
    stripeAccountId: string;
    stripeAccountSetupLink: string;
}>;
export declare function assertStripeConnectAccount({ access, stripeLiaison, storeDatabaseUnconnected, generateId, }: {
    access: AccessPayload;
    stripeLiaison: StripeLiaison;
    storeDatabaseUnconnected: StoreDatabaseUnconnected;
    generateId: () => dbmage.Id;
}): Promise<StripeConnectDetails>;
