import { stripeClientReferenceId } from "../stripe/utils/stripe-client-reference-id.js";
export async function createSubscriptionViaCheckoutSession(auth, stripePriceId, { success_url, cancel_url }) {
    return auth.stripeLiaisonAccount.checkout.sessions.create({
        customer: auth.stripeCustomerId,
        mode: "subscription",
        line_items: [{
                price: stripePriceId,
                quantity: 1,
            }],
        client_reference_id: stripeClientReferenceId.build({
            appId: auth.access.appId,
            userId: auth.access.user.userId,
        }),
        success_url,
        cancel_url,
    });
}
//# sourceMappingURL=create-subscription-via-checkout-session.js.map