import { getStripeId } from "../stripe/utils/get-stripe-id.js";
export async function getStripeDefaultPaymentMethod({ stripeLiaisonAccount, stripeCustomerId }) {
    const stripeCustomer = (await stripeLiaisonAccount
        .customers
        .retrieve(stripeCustomerId));
    const defaultPaymentMethodId = getStripeId(stripeCustomer
        .invoice_settings
        .default_payment_method);
    return defaultPaymentMethodId
        && await stripeLiaisonAccount
            .paymentMethods
            .retrieve(defaultPaymentMethodId);
}
//# sourceMappingURL=get-stripe-default-payment-method.js.map