import * as dbmage from "dbmage";
import { getStripeId } from "../stripe/utils/get-stripe-id.js";
export async function getTierRowByQueryingStripePriceId({ stripePriceId, storeDatabase, stripeLiaisonAccount, }) {
    const stripePrice = await stripeLiaisonAccount
        .prices
        .retrieve(stripePriceId);
    const stripeProductId = getStripeId(stripePrice.product);
    const tierRow = await storeDatabase
        .tables
        .subscriptions
        .tiers
        .readOne(dbmage.find({ stripeProductId }));
    return tierRow;
}
//# sourceMappingURL=get-tier-row-by-querying-stripe-price-id.js.map