import { Stripe } from "stripe";
import { StoreCustomerAuth } from "../policies/types.js";
import { StoreServiceOptions } from "../types/options.js";
import { CheckoutPopupDetails } from "../types/checkout-popup-details";
export declare function prepareToBuyStripeSubscription(options: StoreServiceOptions, auth: StoreCustomerAuth, stripePriceId: string): Promise<{
    defaultPaymentMethod: Stripe.Response<Stripe.PaymentMethod>;
    subscription: Stripe.Subscription;
    actions: {
        updateAndFulfillSubscription(subscription: Stripe.Subscription): Promise<{
            checkoutDetails?: CheckoutPopupDetails;
        }>;
        createNewSubscriptionUsingExistingPaymentMethod(paymentMethod: Stripe.PaymentMethod): Promise<{
            checkoutDetails?: CheckoutPopupDetails;
        }>;
        createCheckoutPopupToBuyNewSubscription(): Promise<{
            checkoutDetails?: CheckoutPopupDetails;
        }>;
    };
}>;
