import { getStripeId } from "../stripe/utils/get-stripe-id.js";
export async function queryStripeAboutSubscriptionPlans({ auth, tierRows }) {
    const { stripeLiaisonAccount } = auth;
    const stripeProducts = (await Promise.all(tierRows
        .map(async (row) => (await stripeLiaisonAccount
        .products
        .retrieve(row.stripeProductId))))).filter(p => !!p);
    const stripePrices = (await Promise.all(stripeProducts.map(async (product) => {
        const stripePriceId = getStripeId(product.default_price);
        return stripePriceId
            ? await stripeLiaisonAccount.prices
                .retrieve(stripePriceId)
            : undefined;
    }))).filter(p => !!p);
    return { stripeProducts, stripePrices };
}
//# sourceMappingURL=query-stripe-about-subscription-plans.js.map