import { derivePricingFromStripePrice } from "./derive-pricing-from-stripe-price.js";
import { isStripePriceValidForSubscriptionUsage } from "../is-stripe-price-valid-for-subscription-usage.js";
export function buildFinalTierObject(tierRow, stripePrice, stripeProduct) {
    return {
        tierId: tierRow.tierId.string,
        roleId: tierRow.roleId.string,
        label: stripeProduct.name,
        time: tierRow.time,
        active: stripeProduct.active,
        pricing: isStripePriceValidForSubscriptionUsage(stripePrice)
            ? [derivePricingFromStripePrice(stripePrice)]
            : undefined
    };
}
//# sourceMappingURL=build-final-tier-object.js.map