import { html } from "lit";
import { renderTier } from "./render-tier.js";
export function renderPlan(params) {
    return (plan) => html `
		<li data-plan=${plan.planId} data-plan>
			<h3 data-plan-label>${plan.label}</h3>
			<div data-tiers>
				${plan.tiers
        .filter(tier => tier.active)
        .map(tier => renderTier(params, plan, tier))}
			</div>
		</li>
	`;
}
//# sourceMappingURL=render-plan.js.map