import { SubscriptionTier, SubscriptionPlan, SubscriptionDetails, SubscriptionStatus, SubscriptionPricing } from "../../../isomorphic/concepts.js";
export interface TierBasics {
    tier: SubscriptionTier;
    plan: SubscriptionPlan;
    subscription: SubscriptionDetails | undefined;
    pricing: SubscriptionPricing | undefined;
}
export declare enum TierButton {
    Buy = 0,
    Upgrade = 1,
    Downgrade = 2,
    Pay = 3,
    Cancel = 4,
    Renew = 5
}
export interface TierInteractivity {
    button: TierButton;
    action: () => Promise<void>;
}
export interface TierContext {
    subscription: SubscriptionDetails | undefined;
    tierIndex: number;
    status: SubscriptionStatus;
    subscribedTierIndex: number | undefined;
    isSubscribedToThisTier: boolean;
    isAnotherTierInPlanUnpaid: boolean;
}
