import { SubscriptionStatus } from "../../../../isomorphic/concepts.js";
export function ascertainTierContext({ tier, plan, subscription, }) {
    var _a;
    const { tierId } = tier;
    const tierIndex = (plan
        .tiers
        .findIndex(t => t.tierId === tierId));
    const subscribedTierIndex = subscription && (plan
        .tiers
        .findIndex(t => t.tierId === subscription.tierId));
    const isSubscribedToThisTier = !!subscription && (tierIndex === subscribedTierIndex);
    const status = isSubscribedToThisTier
        ? ((_a = subscription === null || subscription === void 0 ? void 0 : subscription.status) !== null && _a !== void 0 ? _a : SubscriptionStatus.Unsubscribed)
        : SubscriptionStatus.Unsubscribed;
    const isAnotherTierInPlanUnpaid = (subscription
        && !isSubscribedToThisTier
        && subscription.status === SubscriptionStatus.Unpaid);
    return {
        subscription,
        status,
        tierIndex,
        subscribedTierIndex,
        isSubscribedToThisTier,
        isAnotherTierInPlanUnpaid,
    };
}
//# sourceMappingURL=ascertain-tier-context.js.map