import { CardClues } from "../backend/stripe/liaison/types.js";
export declare enum StripeConnectStatus {
    Unlinked = 0,
    Incomplete = 1,
    Paused = 2,
    Ready = 3
}
export interface StripeConnectDetails {
    userId: string;
    stripeAccountId: string;
    email: string;
    charges_enabled: boolean;
    payouts_enabled: boolean;
    details_submitted: boolean;
    timeLinked: number;
    paused: boolean;
}
export interface SubscriptionPricing {
    stripePriceId: string;
    price: number;
    currency: "usd";
    interval: "month" | "year";
}
export interface SubscriptionTier {
    tierId: string;
    label: string;
    roleId: string;
    time: number;
    active: boolean;
    pricing?: SubscriptionPricing[];
}
export interface SubscriptionPlan {
    planId: string;
    label: string;
    tiers: SubscriptionTier[];
    time: number;
    archived: boolean;
}
export declare enum SubscriptionStatus {
    Unsubscribed = 0,
    Active = 1,
    Unpaid = 2,
    Cancelled = 3
}
export interface SubscriptionDetails {
    status: SubscriptionStatus;
    planId: string;
    tierId: string;
    pricing: SubscriptionPricing;
}
export interface PaymentMethod {
    cardClues: CardClues;
}
export declare enum PurchaseScenario {
    Update = 0,
    UsePaymentMethod = 1,
    CheckoutPopup = 2
}
