import { Popups } from "./types.js";
import { MockStripeOperations } from "../backend/stripe/types.js";
export declare function mockStripePopups({ mockStripeOperations }: {
    mockStripeOperations: MockStripeOperations | undefined;
}): {
    connect({ popupId, stripeAccountId, stripeAccountSetupLink }: {
        popupId: string;
        stripeAccountId: string;
        stripeAccountSetupLink: string;
    }): Promise<Popups.Result<{
        status: "return" | "refresh";
    }>>;
    login({ popupId, stripeAccountId, stripeLoginLink }: {
        popupId: string;
        stripeAccountId: string;
        stripeLoginLink: string;
    }): Promise<Popups.Result<void>>;
    checkoutSubscription({ popupId, stripeSessionUrl, stripeSessionId, stripeAccountId }: {
        popupId: string;
        stripeSessionId: string;
        stripeAccountId: string;
        stripeSessionUrl: string;
    }): Promise<Popups.Result<{
        status: "success" | "cancel";
    }>>;
    openStoreCustomerPortal({ popupId, customer, stripeAccountId, stripeSessionUrl }: {
        popupId: string;
        customer: string;
        stripeAccountId: string;
        stripeSessionUrl: string;
    }): Promise<Popups.Result<{
        status: "success" | "cancel" | "detach";
    }>>;
};
