import { Id } from "dbmage";
import { mockStripePopups } from "./mock-stripe-popups.js";
export type StripePopups = ReturnType<typeof mockStripePopups>;
export declare namespace Popups {
    interface SpecParams {
        popupReturnUrl: string;
        generateId: () => Id;
    }
    interface SecretMockCommand {
        secretMockCommand: true;
        commandId: number;
        type: string;
    }
    interface SecretMockResponse {
        secretMockCommand: true;
        commandId: number;
    }
    interface Parameters {
        url: string;
        popupId: string;
        width?: number;
        height?: number;
        handleSecretMockCommand?(command: SecretMockCommand): Promise<void>;
    }
    interface Result<xDetails = void> {
        popupId: string;
        details?: xDetails;
    }
}
export declare namespace Querystrings {
    interface Connect {
        return_url: string;
        refresh_url: string;
    }
    interface Checkout {
        success_url: string;
        cancel_url: string;
    }
}
