import * as renraku from "renraku";
import { makeTestSession } from "./test-session.js";
import { testingBrowserTab } from "./testing-browser-tab.js";
export const testingClient = ({ appId, circuit, storeApi, generateId, }) => async (privileges) => {
    const session = makeTestSession();
    session.access = undefined;
    session.privileges = privileges;
    const getMeta = async () => session.access;
    const remote = renraku.mock()
        .forApi(storeApi)
        .withMetaMap({
        connect: getMeta,
        billing: getMeta,
        subscriptions: {
            listing: getMeta,
            planning: getMeta,
            shopping: getMeta,
        },
    });
    return {
        browserTab: testingBrowserTab({
            appId,
            remote,
            circuit,
            session,
            generateId,
        }),
    };
};
//# sourceMappingURL=testing-client.js.map