export function mockDacastService({ goodApiKey }) {
    let link;
    function getLinkDisplay() {
        return link
            ? { time: link.time }
            : undefined;
    }
    return {
        async getLink() {
            return getLinkDisplay();
        },
        async setLink(apiKey) {
            link = (apiKey === goodApiKey)
                ? { apiKey, time: Date.now() }
                : undefined;
            return getLinkDisplay();
        },
        async clearLink() {
            link = undefined;
            return getLinkDisplay();
        },
    };
}
//# sourceMappingURL=mock-dacast-service.js.map