import { RestClient } from "typed-rest-client/RestClient.js";
import { makeQueryString } from "../../../../../toolbox/make-query-string.js";
const dacastApiUrl = "https://developer.dacast.com";
export function dacastRestModern({ apiKey, headers: moreHeaders }) {
    const headers = {
        "X-Api-Key": apiKey,
        "X-Format": "default",
        ...moreHeaders,
    };
    const rest = new RestClient("xiome", dacastApiUrl, undefined, { headers });
    function get(url, queryDefaults = {}) {
        return async function (queryAdditions = {}) {
            const query = { ...queryDefaults, ...queryAdditions };
            const urlWithQuery = url + makeQueryString(query);
            return (await rest.get(urlWithQuery)).result;
        };
    }
    return { get };
}
//# sourceMappingURL=dacast-rest-modern.js.map