import { Op } from "../../../../framework/ops.js";
import { DacastLinkDisplay } from "../../types/dacast-link.js";
import { AccessPayload } from "../../../auth/types/auth-tokens.js";
import { VideoModelsOptions } from "../types/video-models-options.js";
export declare function makeDacastModel({ dacastService }: VideoModelsOptions): {
    state: {
        accessOp: Op<AccessPayload>;
        linkedAccountOp: Op<DacastLinkDisplay>;
    };
    subscribe: (subscription: import("@chasemoskal/snapstate").Subscription<{
        accessOp: Op<AccessPayload>;
        linkedAccountOp: Op<DacastLinkDisplay>;
    }>) => () => void;
    onLinkChange: (listener: (context: DacastLinkDisplay) => void) => () => void;
    updateAccessOp(op: Op<AccessPayload>): Promise<void>;
    initialize(): Promise<void>;
    readonly linkedAccount: DacastLinkDisplay;
    linkAccount({ apiKey }: {
        apiKey: string;
    }): Promise<DacastLinkDisplay>;
    unlinkAccount(): Promise<void>;
};
