import { PrivilegeDisplay } from "../../auth/aspects/users/routines/permissions/types/privilege-display.js";
import { DacastData } from "../dacast/types/dacast-data.js";
export declare namespace VideoHosting {
    type Provider = "dacast";
    interface Base {
        provider: Provider;
    }
    interface DacastReference extends Base {
        provider: "dacast";
        type: DacastData.ContentType;
        id: string;
    }
    interface DacastContent extends DacastReference {
        thumb: string;
        title: string;
    }
    interface DacastEmbed extends DacastContent {
        embed: string;
    }
    type AnyReference = DacastReference;
    type AnyContent = DacastContent;
    type AnyEmbed = DacastEmbed;
}
export interface VideoView extends VideoHosting.AnyReference {
    label: string;
    privileges: string[];
}
export interface VideoShow {
    label: string;
    details?: VideoHosting.AnyEmbed;
}
export interface VideoModerationData {
    views: VideoView[];
    catalog: VideoHosting.AnyContent[];
    privileges: PrivilegeDisplay[];
}
