var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { nap } from "../../toolbox/nap.js";
import { ops } from "../../framework/ops.js";
import { Component, mixinLightDom, registerComponents, html, property } from "../../framework/component.js";
class XioPlayground extends mixinLightDom(Component) {
    constructor() {
        super(...arguments);
        this.user = {
            userId: "bcd22b97940174ce94aee93347a652c775f8b5d021b291525eadc8d3dc3dd7d4",
            profile: {
                nickname: "Original Ostrich",
                tagline: "i'm super cool",
                avatar: undefined,
            },
            roles: [{
                    label: "premium",
                    roleId: "lol12i309u12893h1",
                    timeframeEnd: undefined,
                    timeframeStart: undefined,
                }],
            stats: {
                joined: Date.now() - (1000 * 60 * 60 * 24 * 365),
            },
        };
        this.saveProfile = async (profileDraft) => {
            await nap(1000);
            this.user = {
                ...this.user,
                profile: { ...this.user.profile, ...profileDraft },
            };
            this.requestUpdate();
        };
    }
    render() {
        const { user } = this;
        return html `

			<h3>xio-profile-card: readonly</h3>
			<xio-profile-card show-details .user=${user}></xio-profile-card>

			<h3>xio-profile-card: editable</h3>
			<xio-profile-card
				show-details
				.user=${user}
				.saveProfile=${this.saveProfile}
			></xio-profile-card>

			<h3>xio-op</h3>
			<xio-op .op=${ops.loading()}></xio-op>
		`;
    }
}
__decorate([
    property({ type: Object })
], XioPlayground.prototype, "user", void 0);
registerComponents({ XioPlayground });
//# sourceMappingURL=playground.js.map