import { html } from "../../../../framework/component.js";
export function renderText({ field, initial, text, input }) {
    return input
        ? html `
			<xio-text-input
				data-field="${field}"
				initial="${initial}"
				text="${text}"
				part="xiotextinput"
				exportparts="${`
					label: xiotextinput-label,
					textinput: xiotextinput-textinput,
					problems: xiotextinput-problems,
				`}"
				show-validation-when-empty
				?readonly=${input.readonly}
				?hide-validation=${!input.draftIsChanged}
				.validator=${input.validator}
				@valuechange=${input.onvaluechange}>
					<span>${input.label}</span>
			</xio-text-input>
		`
        : html `
			<p part="textfield" data-field="${field}">${initial}</p>
		`;
}
//# sourceMappingURL=render-text.js.map