import { LitElement } from "lit";
import { Observer, Reaction, Snapstate, Subscription } from "@chasemoskal/snapstate";
import { Mixin } from "../../../types/mixin.js";
import { Constructor } from "../../../types/constructor.js";
export type Track = (observer: Observer<any, any>, reaction: Reaction<any>) => () => void;
export interface SnapstateTracking {
    attachSnapstateTracking(...tracks: Track[]): void;
}
export declare function mixinSnapstateTracking(...tracks: Track[]): <C extends Constructor<LitElement>>(Base: C) => Mixin<C, SnapstateTracking>;
export declare function mixinSnapstate(...states: Snapstate<any>[]): <C extends Constructor<LitElement>>(Base: C) => Mixin<C, SnapstateTracking>;
export type Subscribe = (subscription: Subscription<any>) => () => void;
export declare function mixinSnapstateSubscriptions(...subscribes: Subscribe[]): <C extends Constructor<LitElement>>(Base: C) => C;
