export const elem = (element) => {
    return {
        attr: {
            string: new Proxy({}, {
                get(target, key) {
                    return element.getAttribute(key);
                },
                set(target, key, value) {
                    element.setAttribute(key, value.toString());
                    return true;
                },
            }),
            boolean: new Proxy({}, {
                get(target, key) {
                    return element.hasAttribute(key);
                },
                set(target, key, value) {
                    if (value)
                        element.setAttribute(key, "");
                    else
                        element.removeAttribute(key);
                    return true;
                },
            }),
        }
    };
};
//# sourceMappingURL=elem.js.map