export class CircularError extends Error {
    constructor() {
        super("infinite loop detected");
        this.name = this.constructor.name;
    }
}
export function forbidCircularity(func) {
    let circle = false;
    return async function (...args) {
        if (!circle) {
            circle = true;
            const result = await func(...args);
            circle = false;
            return result;
        }
        else {
            throw new CircularError();
        }
    };
}
//# sourceMappingURL=forbid-circularity.js.map