import { timestamp as defaultTimestamp } from "./timestamp.js";
export function makeLogger({ con = console, colors = noColors(), timestamp = defaultTimestamp } = {}) {
    const prepare = (logfunc, colorfunc) => (...args) => logfunc.call(con, colorfunc(timestamp()), ...args);
    return {
        log: prepare(con.log, colors.log),
        info: prepare(con.info, colors.info),
        debug: prepare(con.debug, colors.debug),
        warn: prepare(con.warn, colors.warn),
        error: prepare(con.error, colors.error),
        clear: () => con.clear(),
    };
}
function noColors() {
    const noop = () => (...args) => args.join(" ");
    return {
        log: noop(),
        info: noop(),
        debug: noop(),
        warn: noop(),
        error: noop(),
    };
}
//# sourceMappingURL=make-logger.js.map