export function subbies() {
    const memory = new Map();
    return {
        subscribe(listener) {
            const symbol = Symbol();
            memory.set(symbol, listener);
            return () => {
                memory.delete(symbol);
            };
        },
        publish: (context => {
            for (const [, listener] of memory)
                listener(context);
        }),
        clear() {
            memory.clear();
        },
    };
}
//# sourceMappingURL=subbies.js.map